GH-PR-CHECKOUT(1)

NAME
gh-pr-checkout - Check out a pull request in git

SYNOPSIS
gh pr checkout [<number> | <url> | <branch>] [flags]

OPTIONS

-b, --branch <string>
    Local branch name to use (default [the name of the head branch])

--detach
    Checkout PR with a detached HEAD

-f, --force
    Reset the existing local branch to the latest state of the pull request

--recurse-submodules
    Update all submodules after checkout

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

ALIASES
gh pr co

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Interactively select a PR from the 10 most recent to check out
    $ gh pr checkout
    # Checkout a specific PR
    $ gh pr checkout 32
    $ gh pr checkout https://github.com/OWNER/REPO/pull/32
    $ gh pr checkout feature

SEE ALSO
gh-pr(1)